# Table of Contents - bindex-0.8.1 Documentation

## Pages

- Makefile
- BindingBuilder.java
- CurrentBindingsIterator.java
- JRubyIntegration.java
- RubyBindingsCollector.java
- SetExceptionBindingsEventHook.java
- ThreadContextInterfaceException.java
- ThreadContextInternals.java

## Classes and Modules

- Bindex
- Binding
- Exception
- Object
- Skiptrace
- Skiptrace::BindingLocations
- Skiptrace::Location
- Skiptrace::Rubinius
- Skiptrace::Rubinius::InternalLocationFilter

## Methods

- ::current_bindings — Skiptrace
- ::current_bindings — Skiptrace
- ::new — Skiptrace::BindingLocations
- ::new — Skiptrace::Location
- ::new — Skiptrace::Rubinius::InternalLocationFilter
- #absolute_path — Skiptrace::Location
- #base_label — Skiptrace::Location
- #binding_locations — Exception
- #bindings — Exception
- #bindings — Object
- #cached_location — Skiptrace::BindingLocations
- #filter — Skiptrace::Rubinius::InternalLocationFilter
- #guess_binding_around — Skiptrace::BindingLocations
- #inspect — Skiptrace::Location
- #label — Skiptrace::Location
- #lineno — Skiptrace::Location
- #method_missing — Skiptrace::BindingLocations
- #respond_to_missing? — Skiptrace::BindingLocations
- #source_location — Binding
- #to_s — Skiptrace::Location